/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      

      

      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         sym.$('.center-wrapper').css("overflow","hidden");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_MG3U2L3030101_buttonsCopy2}", "click", function(sym, e) {
         sym.getSymbol("labels").stop("hour");
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_MG3U2L3030101_buttonsCopy}", "click", function(sym, e) {
         sym.getSymbol("labels").stop("min");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_MG3U2L3030101_buttons}", "click", function(sym, e) {
         sym.getSymbol("labels").stop("seg");

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'slide_5'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         //CAMBIAR ESTA OPCIÓN A PLAY SI SE DESEA INICIAR LA ANIMACIÓN O SI ES IMAGEN FIJA PONERLA EN STOP 
         sym.stop();

      });
      //Edge binding end

      

      

      

      

      

      

      

   })("slide_1");
   //Edge symbol end:'slide_1'

   //=========================================================
   
   //Edge symbol: 'Hot_Spot'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         sym.play();

      });
      //Edge binding end

   })("Hot_Spot");
   //Edge symbol end:'Hot_Spot'

   //=========================================================
   
   //Edge symbol: 'bg_defecto_simbolo'
   (function(symbolName) {   
   
   })("bg_defecto_simbolo");
   //Edge symbol end:'bg_defecto_simbolo'

   //=========================================================
   
   //Edge symbol: 'labels'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();
         sym.getComposition().getStage().getSymbol("relog_mono").getSymbol("min").stop(0);
         sym.getComposition().getStage().getSymbol("relog_mono").getSymbol("hour").play();
         sym.getComposition().getStage().getSymbol("relog_mono").getSymbol("seg").stop(0);
         
         
         

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 500, function(sym, e) {
         sym.stop();
         sym.getComposition().getStage().getSymbol("relog_mono").getSymbol("min").play();
         sym.getComposition().getStage().getSymbol("relog_mono").getSymbol("hour").stop(0);
         sym.getComposition().getStage().getSymbol("relog_mono").getSymbol("seg").stop(0);

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 750, function(sym, e) {
         sym.stop();
         sym.getComposition().getStage().getSymbol("relog_mono").getSymbol("min").stop(0);
         sym.getComposition().getStage().getSymbol("relog_mono").getSymbol("hour").stop(0);
         sym.getComposition().getStage().getSymbol("relog_mono").getSymbol("seg").play();

      });
      //Edge binding end

   })("labels");
   //Edge symbol end:'labels'

   //=========================================================
   
   //Edge symbol: 'relog_mono'
   (function(symbolName) {   
   
   })("relog_mono");
   //Edge symbol end:'relog_mono'

   //=========================================================
   
   //Edge symbol: 'hour'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1000, function(sym, e) {
         // introducir código aquí
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.play(0);

      });
      //Edge binding end

   })("hour");
   //Edge symbol end:'hour'

   //=========================================================
   
   //Edge symbol: 'min'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1000, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

   })("min");
   //Edge symbol end:'min'

   //=========================================================
   
   //Edge symbol: 'seg'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1000, function(sym, e) {
         
         sym.play(0);

      });
      //Edge binding end

   })("seg");
   //Edge symbol end:'seg'

})(jQuery, AdobeEdge, "EDGE-5531445");